<template>
  <div class="orders-list-route">
    <div class="orders-list-route-start">
      {{startAddress}}
    </div>
    <div class="orders-list-route-dots">
      <span v-show="count">{{count}}</span>
    </div>
    <div class="orders-list-route-end">
      {{endAddress}}
    </div>
  </div>
</template>

<script>
  export default {
    name: "routes",
    props: {
      startAddress: {
        type: String,
        default: ''
      },
      endAddress: {
        type: String,
        default: ''
      },
      count: {
        type: Number,
        default: 0
      }
    }
  }
</script>

<style scoped lang="scss">
  .orders-list-route {
    width: 400px;
    display: flex;
    justify-content: space-between;
    font-size: 14px;

    &-start, &-end {
      max-width: 185px;
      hyphens: auto;
    }

    &-start {

    }

    &-end {
      text-align: right;
    }

    &-dots {
      display: flex;
      justify-content: center;
      align-items: center;
      flex-grow: 12;
      position: relative;
      margin: 0 6px;

      &::after {
        position: absolute;
        content: '';
        top: 50%;
        width: 100%;
        height: 1px;
        border-top: 2px $color-blue-heavenly dotted;
      }

      &-count {
        background: $background-white;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 3px;
        height: 16px;
        font-size: 10px;
        line-height: 20px;
        letter-spacing: 1px;
        text-transform: uppercase;
        color: $blue-700;
        border: 1px solid $blue-blue-hoarfrost;
        box-sizing: border-box;
        border-radius: 5px;
        position: relative;
        z-index: 1;
      }
    }
  }
</style>